Bug 169037 - Requesting sponsor role shows an python exception
Requesting sponsor role shows an python exception
Status: CLOSED WORKSFORME
Product: Fedora Infrastructure
Classification: Retired
Component: Account System (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 09:22 EDT by Tomas Mraz
Modified: 2007-04-18 13:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 15:27:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Mraz 2005-09-22 09:22:50 EDT
Description of problem:
When I requested for sponsor role for cvsextras I was greeted with python
_pg.error exception page:
_pg.error: ERROR: duplicate key violates unique constraint "role_person_id_key"
SQL statement: INSERT INTO role (person_id, project_group_id, role_domain,
role_type, role_status) VALUES (100151, 105, '', 'sponsor', 'unapproved')

How reproducible:
Warren added the sponsor role for me manually so it wouldn't be reproducible
probably anymore. But he asked me to report the bug anyway.
Comment 1 Elliot Lee 2006-03-15 15:27:58 EST
Should no longer be an issue...

Note You need to log in before you can comment on or make changes to this bug.